remove bunkchat scripts #2

Merged
oxaliq merged 10 commits from release into main 2024-04-22 20:45:27 +00:00
Showing only changes of commit b13b57f15b - Show all commits

View file

@ -1,14 +1,9 @@
#!/bin/sh -e #!/bin/sh -e
# install.sh
installtarget=/usr/local/bin installtarget=/usr/local/bin
chatlogdir=/var/log/bunkchat chatlogdir=/var/log/bunkchat
chatlog=chat.log chatlog=chat.log
if ! [ "$(id -u)" = 0 ]; then
echo "ERROR: please run install with root permission" >&2
exit 1
fi
chattrfailed() { chattrfailed() {
set +e set +e
rm -rf $chatlogdir rm -rf $chatlogdir
@ -18,26 +13,38 @@ chattrfailed() {
exit 1 exit 1
} }
# do this setup first in case chattr fails prep() {
# mk chat directory and touch file mkdir -p $chatlogdir
mkdir $chatlogdir
chmod 755 $chatlogdir chmod 755 $chatlogdir
touch ${chatlogdir}/${chatlog} touch ${chatlogdir}/${chatlog}
chmod 666 ${chatlogdir}/${chatlog} chmod 666 ${chatlogdir}/${chatlog}
# if chattr +a not supported on this file system catch error and clean up # if chattr +a not supported on this file system, catch error and clean up
chattr +a ${chatlogdir}/${chatlog} || chattrfailed chattr +a ${chatlogdir}/${chatlog} || chattrfailed
}
install() {
cp proclaim heed scry $installtarget cp proclaim heed scry $installtarget
chmod 755 ${installtarget}/proclaim chmod 755 ${installtarget}/proclaim
chmod 755 ${installtarget}/heed chmod 755 ${installtarget}/heed
chmod 755 ${installtarget}/scry chmod 755 ${installtarget}/scry
chown root:root ${installtarget}/proclaim chown root:root ${installtarget}/proclaim
chown root:root ${installtarget}/heed chown root:root ${installtarget}/heed
chown root:root ${installtarget}/scry chown root:root ${installtarget}/scry
echo "SUCCESS! bunkchat installed!" echo "SUCCESS! bunkchat installed!"
exit 0 exit 0
}
# check for root perms
if ! [ "$(id -u)" = 0 ]; then
echo "ERROR: please run install with root permission" >&2
exit 1
fi
# if chat.log exists, skip prep
if [ -f ${chatlogdir}/${chatlog} ]; then
install
else
prep
install
fi